Summary: TULP - tulp listserv 
Name: tulp
Version: 4.2.0
Release: 2
Copyright: GPL
Group: daemons
Source: ftp://ftp.univ-lyon1.fr/pub/systems/unix/mail-server/tulp/tulp-4.2.0.tar.gz
Patch: tulp-redhat.patch
Provides: mailinglistserver

%description
TULP is a mailing-lists manager.  It implements a subset of the commands of
the well known LISTSERV, used mainly in the Bitnet world.  It can  also  be
used, in a very limited manner, as a mail-server for text archives.

TULP allows an easy management of mailing-lists.  Once their are created by
the   TULP-manager,  users  can  subscribe,   signoff,  get  the   list  of
subscribers, or retrieve  past articles  by sending mail  to  an  automatic
sofware,  typically  listserv@node.dom.ain.  The  implemented commands  are
really  close  to  the  syntax  used  on  Bitnet-Listserv  running  on  IBM
mainframes.  Note  that  there is  *no*  connection  between  the  original
listserv running on IBM mainframes and TULP.

Each list can have several attributes:

+ Multiple list status: public, private, moderated.

+ List of owners an an editor.

+ Multiple "review" status: public, private, owners.

+ Multiple subscription schemes: public, owners, closed.

+ Messages numbering (optional).

+ Messages archival (on a monthly basis, optional).

+ Filtering of (some) administrative requests sent to the lists instead of the
  administrative address [if you have Perl on your system].

TULP  is interfaced with  the Sendmail MTA  in the  released version but it
should also be easily adaptable to other mail transport agents.

TULP has successfully been tested and  is currently  already in  production
under following systems:

        AIX 3.1 & 3.2
        A/UX 3
        HP-UX 8.0
        SunOS 4.1
        SVR4 3.0
	RedHat Linux

TULP is distributed under the GNU General Public License.

The package  is available  by anonymous  ftp  at  several  places.  If  you
decide  to  put the  package and  its updates  available by  anonymous ftp,
please drop me a note so that I can add your site name to the documentation.


%prep
%setup
%patch -p1 

%build
cd src
make all
cd ..

%install
cd src
make install
cd ..
install -d /etc/listserv
install examples/helpfile /etc/listserv
install examples/lists /etc/listserv
install examples/test.u /etc/listserv
install examples/test.w /etc/listserv
install -d /usr/doc/tulp-4.2.0/expl
install ANNOUNCE /usr/doc/tulp-4.2.0 
install AUTHORS /usr/doc/tulp-4.2.0 
install COPYRIGHT /usr/doc/tulp-4.2.0 
install FAQ /usr/doc/tulp-4.2.0 
install INSTALL /usr/doc/tulp-4.2.0 
install LICENCE /usr/doc/tulp-4.2.0 
install PORTING /usr/doc/tulp-4.2.0 
install README /usr/doc/tulp-4.2.0 
install VERSIONS /usr/doc/tulp-4.2.0 
install examples/helpfile /usr/doc/tulp-4.2.0/expl
install examples/lists /usr/doc/tulp-4.2.0/expl
install examples/test.u /usr/doc/tulp-4.2.0/expl
install examples/test.w /usr/doc/tulp-4.2.0/expl

%pre
adduser listserv

%files
%doc /usr/doc/tulp-4.2.0
%doc /usr/man/man5/tulp.5
%doc /usr/man/man8/tulp.8
%config /etc/listserv
/usr/lib/tulp/deliver
/usr/lib/tulp/deliver.pl
/usr/lib/tulp/listserv
/usr/lib/tulp/queue
/usr/lib/tulp/rc.tulp
/var/spool/tulp

